"""
This model contains the implementation of a management command to fetch the
results of all `Celery <http://www.celeryproject.org/>`_ tasks that are not
marked as finished yet.

"""
from django.core.management.base import BaseCommand

from taskresults.models import TaskResult


class Command(BaseCommand):
    help = "fetch task results"

    def handle(self, *args, **options):
        for taskresult in TaskResult.objects.filter(finished=False):
            taskresult.fetch_result()
            taskresult.save()
